4Suite™ API Documentation

# ► Module Ft.Xml.Xslt.WhitespaceElements

Classes: PreserveSpaceElement, StripSpaceElement, WhitespaceElement |  |  |  | Fields: XSL_NAMESPACE

## Classes

class PreserveSpaceElement(WhitespaceElement)

### Methods inherited from class WhitespaceElement

getWhitespaceInfo

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, instantiate, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

class StripSpaceElement(WhitespaceElement)

### Methods inherited from class WhitespaceElement

getWhitespaceInfo

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, instantiate, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

class WhitespaceElement(Ft.Xml.Xslt.StylesheetTree.XsltElement)

### Methods

getWhitespaceInfo(self)

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, instantiate, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

category = 1
content = <Ft.Xml.Xslt.ContentInfo.Atom instance>
Empty is the content model for childless elements
legalAttrs = {'elements': <Ft.Xml.Xslt.AttributeInfo.Tokens instance>}

### Fields

XSL_NAMESPACE = u'http://www.w3.org/1999/XSL/Transform'